%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  VICatMix
%global packver   1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Variational Mixture Models for Clustering Categorical Data

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildRequires:    R-CRAN-klaR 
BuildRequires:    R-CRAN-matrixStats 
BuildRequires:    R-CRAN-mcclust 
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-gtools 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-klaR 
Requires:         R-CRAN-matrixStats 
Requires:         R-CRAN-mcclust 
Requires:         R-CRAN-Rcpp 
Requires:         R-stats 
Requires:         R-CRAN-gtools 

%description
A variational Bayesian finite mixture model for the clustering of
categorical data, and can implement variable selection and semi-supervised
outcome guiding if desired. Incorporates an option to perform model
averaging over multiple initialisations to reduce the effects of local
optima and improve the automatic estimation of the true number of
clusters. For further details, see the paper by Rao and Kirk (2024)
<doi:10.48550/arXiv.2406.16227>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
